Subject: Re: .dll.a, .dll files and other questions
From: "Hans Horn" <[email-masked]>
To: [email-masked]
Date: Thu, 5 Dec 2002 17:19:27 -0800

Elfyn,

those links on (http://cygwin.com/docs.html) describing how to build dlls
seem to be utterly outdated.
I was digging thru the doc trying to figure out how to build dlls myself and
found much of conflicting information.

can you point me to some info about to build dlls using "state-of-the-art"
cygwin/gcc?
in particular I'm interested in how to build dlls that use system wide win32
hooks.

thx a lot.
Hans

today's cygwin
"Elfyn McBratney" <[email-masked]> wrote in message
news:[email-masked]...
> Hi,
>
> >Hi folks,
> >
> >Just had a couple of questions.  Attempting to head off a problem at
> >the pass...
> >
> >When using gcc -shared, what is default output (ie. what is expected
>from
> >gcc -shared in order to read the .dlls/shared files) by Cygwin?
>
> Im not sure exactly what you mean. The gcc `-shared' option compiles
shared
> objects (in this case dll's). If you mean something like `gcc -shared
foo.o
> bar.o ...' then gcc expects object code.
>
> There's a section (few links at the bottom) in the online documentation
> (http://cygwin.com/docs.html) which goes through how to create dll's.
>
> >
> >Second question:  If g++ -shared is used will the output .dll/shared
> >files be loadable and/or useable by Win32 api?
> >
> >Finally, I realize that if g++ -shared, if used, is likely going to
> >generate name mangled .dlls that can not be read/loaded properly by the
> >win32api.
> >
> >Is that still true for Cygwin?
> >
> >Thanks,
> >
> >Paul G.
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
>
>
> _________________________________________________________________
> Tired of spam? Get advanced junk mail protection with MSN 8.
> http://join.msn.com/?page=features/junkmail
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/